Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class DependencyGraph.GraphPruner

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.DependencyGraph.GraphPruner

Enclosing class:
  DependencyGraph

    public static class DependencyGraph.GraphPruner

extends java.lang.Object

Constructor Summary
`DependencyGraph.GraphPruner(DependencyGraph source)` Create a `DependencyGraph.GraphPruner` for building a new DependencyGraph by (destructively!) removing edges from an existing DependencyGraph.

Method Summary
`DependencyGraph.GraphPruner` | `remove(Key<?> key)` Removes the given key, all its incoming edges, and all its outgoing edges, from the graph.
`DependencyGraph` | `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyGraph.GraphPruner

    public DependencyGraph.GraphPruner(DependencyGraph source)

  Create a `DependencyGraph.GraphPruner` for building a new DependencyGraph by (destructively!) removing edges from an existing DependencyGraph.

  Parameters:
    `source` - the DependencyGraph to use as the base (will be mutated)

Method Detail

### remove

    public DependencyGraph.GraphPruner remove(Key<?> key)

  Removes the given key, all its incoming edges, and all its outgoing edges, from the graph.

### update

    public DependencyGraph update()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD